from parallels.core.utils.entity import Entity


class RoleGeneralPermission(Entity):
    def __init__(self, role_id, general_permission_id, is_allowed):
        self._role_id = role_id
        self._general_permission_id = general_permission_id
        self._is_allowed = is_allowed

    @property
    def role_id(self):
        """
        :rtype: str | unicode
        """
        return self._role_id

    @property
    def general_permission_id(self):
        """
        :rtype: str | unicode
        """
        return self._general_permission_id

    @property
    def is_allowed(self):
        """
        :rtype: str | unicode
        """
        return self._is_allowed
